## org.eclipse.jet.taglib
Class CustomTagKind

    java.lang.Object
      org.eclipse.jet.taglib.CustomTagKind

    public final class CustomTagKind

extends java.lang.Object

An enumeration of the deferent kinds of tags.

Field Summary
`static CustomTagKind` `CONDITIONAL` A tag declared in the tagLibrary extension using the 'conditionalTag' element.
`static CustomTagKind` `CONTAINER` A tag declared in the tagLibrary extension using the 'containerTag' element.
`static CustomTagKind` `EMPTY` A tag declared in the tagLibrary extension using the 'emptyTag' element.
`static CustomTagKind` `FUNCTION` A tag declared in the tagLibrary extension using the 'functionTag' element.
`static CustomTagKind` `ITERATING` A tag declared in the tagLibrary extension using the 'iteratingTag' element.
`static CustomTagKind` `OTHER` A tag declared in the tagLibrary extension using the 'tag' element.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OTHER

    public static final CustomTagKind OTHER

  A tag declared in the tagLibrary extension using the 'tag' element.

### EMPTY

    public static final CustomTagKind EMPTY

  A tag declared in the tagLibrary extension using the 'emptyTag' element. Empty tags must take the form of an XML empty tag (<tagName ... />), and create any content or perform any actions based solely on the elements context and attribute values.

### FUNCTION

    public static final CustomTagKind FUNCTION

  A tag declared in the tagLibrary extension using the 'functionTag' element. Function tags must take the form of an XML begin/end tag pair (<tagName ... &;gt>content</tagName>). A function tag creates output by evaluating a function upon the elements content, its context and attribute values.

### ITERATING

    public static final CustomTagKind ITERATING

  A tag declared in the tagLibrary extension using the 'iteratingTag' element. Iterating tags must take the form of an XML begin/end tag pair. An iterating tag creates output by repeating evaluating a condition based on the element's context and attributes. Each time the condition evaluates to `true`, the elements contents are written to the output.

### CONDITIONAL

    public static final CustomTagKind CONDITIONAL

  A tag declared in the tagLibrary extension using the 'conditionalTag' element. Conditional tags must take the form of an XML begin/end tag pair. A conditional tag creates output by evaluating a condition based on the element's context and attributes. If the condition evaluates to `true`, the elements contents are written to the output.

### CONTAINER

    public static final CustomTagKind CONTAINER

  A tag declared in the tagLibrary extension using the 'containerTag' element. Container tags must tag the form of an XML begin/end tag pari. A container tag preforms actions prior to its content being processed and after its content has been processed.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.